List courses

Download course ID, title, duration, price and other attributes using GET.

Request

GET https://api.frontcore.com/v2/courses

For every API request you make, you'll need to present the API access key in the HTTP Header as X-API-Key to be authenticated.

Parameters

Name Required Value Description
limit optional number Amount of results (default: 75) (maximum: 250)
page optional number Page to show (default: 1)
since_id optional number Restrict results to after the specified ID.
customer_id optional number Filter on customer id for corporate training courses.
created_at_min optional string Show items created after date (format: yyyy-mm-dd OR yyyy-mm-dd hh:mm:ss)
created_at_max optional string Show items created before date (format: yyyy-mm-dd OR yyyy-mm-dd hh:mm:ss)
updated_at_min optional string Show items last updated after date (format: yyyy-mm-dd OR yyyy-mm-dd hh:mm:ss)
updated_at_max optional string Show items last updated before date (format: yyyy-mm-dd OR yyyy-mm-dd hh:mm:ss)
description_language optional string Returns translated descriptions in the specified language. A list of available languages can be found in the description_languages property on the course object.
include_partners optional boolean Include courses from partner providers. When set to true, returns courses from both the main provider and approved partner providers. Partner courses must be active, publicly visible, and not internal. A provider object is automatically included in each result item.
partner_id optional number Filter results to only include courses from a specific partner provider. Implicitly enables partner filtering. The authenticated provider must have an approved partner connection with the specified provider.
include[] optional string Request additional information by specifying the 'include' parameter as a path using dot notation.
You can include multiple objects at once by specifying multiple items in the include array.

Supported items for this endpoint:
`products`
`provider`

Example code in PHP

$request_url = 'https://api.frontcore.com/v2/courses';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $request_url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); 

curl_setopt($ch, CURLOPT_HTTPHEADER, array(
  'X-API-Key: {your-api-key}',
  'Accept: application/json',
));
$result = curl_exec($ch);
curl_close($ch);
               

Response

If the method is successful it responds with an JSON structure, as it is shown below.

[]

Unsuccessful response sample:

{
    "error": "Wrong API Key"
}      
© 2026 FrontCore